Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Gene

All Superinterfaces:
  Accessioned, java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public interface Gene
extends Accessioned, Feature

Gene.

Method Summary
`java.lang.String` | `getBioType()` Return the biological type of the gene.
`java.lang.String` | `getConfidence()` Deprecated. since version 34.1. Use getStatus() instead.
`java.util.List` | `getExons()`
`java.util.List` | `getExternalRefs()` External refs for this gene, it's transcripts and translations.
`java.util.List` | `getExternalRefs(boolean includeTranscriptsAndTranslations)` External refs for this gene and optionally those of it's transcripts and translations.
`java.lang.String[]` | `getInterproIDs()` Interpro IDs associated with this gene.
`java.lang.String` | `getSource()`
`java.lang.String` | `getStatus()` The status of the gene.
`java.util.List` | `getTranscripts()`
`java.lang.String` | `getType()` Deprecated. since ensj34.2 use getBioType() instead.
`boolean` | `isCompleted()`
`boolean` | `isKnown()` Whether this is a known Gene.
`boolean` | `isSplicable()`
`void` | `setBioType(java.lang.String type)` Set the biological type of the gene.
`void` | `setCompleted(boolean completed)`
`void` | `setLocation(Location location)`
`void` | `setSequence(Sequence sequence)`
`void` | `setSource(java.lang.String source)`
`void` | `setSplicable(boolean splicable)`
`void` | `setStatus(java.lang.String status)` Set the status this the gene.
`void` | `setTranscriptsAndExons(java.util.List transcripts, java.util.List exons)`

Methods inherited from interface org.ensembl.datamodel.Accessioned
`getAccessionID, getCreatedDate, getModifiedDate, getVersion, setAccessionID, setCreatedDate, setModifiedDate, setVersion`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getConfidence

    public java.lang.String getConfidence()

  Deprecated. since version 34.1. Use getStatus() instead.

  Returns the status of the gene. Delegates to getStatus().

  See Also:
    `getStatus()`

### getStatus

    public java.lang.String getStatus()

  The status of the gene. Normally one of these Strings: 'KNOWN','NOVEL','PUTATIVE','PREDICTED'.

  Returns:
    status of the gene..

### setStatus

    public void setStatus(java.lang.String status)

  Set the status this the gene.

  Parameters:
    `status` - status of the gene.

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String source)

### isCompleted

    public boolean isCompleted()

### setCompleted

    public void setCompleted(boolean completed)

### isSplicable

    public boolean isSplicable()

### setSplicable

    public void setSplicable(boolean splicable)

### getExternalRefs

    public java.util.List getExternalRefs()

  External refs for this gene, it's transcripts and translations. This is the same as getExternalRefs(true). Use getExternalRefs(false) if you only want external refs for the gene and not the translation.

  Returns:
    list of ExternalRef objects, an empty list if none available.

### getExternalRefs

    public java.util.List getExternalRefs(boolean includeTranscriptsAndTranslations)

  External refs for this gene and optionally those of it's transcripts and translations.

  Parameters:
    `includeTranscriptsAndTranslations` - whether to include external refs for the transcripts and translations.
  Returns:
    list of ExternalRef objects, an empty list if none available.

### getInterproIDs

    public java.lang.String[] getInterproIDs()
                                      throws AdaptorException

  Interpro IDs associated with this gene.

  Returns:
    array of zero or more interpro IDs.
  Throws:
    `AdaptorException` - if a problem occurs retrieving the IDs from the database.

### setTranscriptsAndExons

    public void setTranscriptsAndExons(java.util.List transcripts,
                                       java.util.List exons)

### getTranscripts

    public java.util.List getTranscripts()

### getExons

    public java.util.List getExons()

### setLocation

    public void setLocation(Location location)

  Specified by:
    `setLocation` in interface `Locatable`

### setSequence

    public void setSequence(Sequence sequence)

  Specified by:
    `setSequence` in interface `Locatable`

### setBioType

    public void setBioType(java.lang.String type)

  Set the biological type of the gene.

  Parameters:
    `type` - biological type.

### getType

    public java.lang.String getType()

  Deprecated. since ensj34.2 use getBioType() instead.

  Return the biological type of the gene.

  Returns:
    biological type.
  See Also:
    `getBioType()`

### getBioType

    public java.lang.String getBioType()

  Return the biological type of the gene.

  Returns:
    biological type.

### isKnown

    public boolean isKnown()

  Whether this is a known Gene. Genes are known any of their transcripts are known.

  Returns:
    value of known.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD